## com.bbn.openmap.layer.util.html
Interface Element

All Known Subinterfaces:
  ContainerElement, TableCellElement

All Known Implementing Classes:
  Document, HtmlListElement, ListElement, StringElement, TableDataElement, TableHeaderElement, TableRowElement, WrapElement

public interface Element

This interface describes any html element that knows how to dump itself to an java.io.Writer

Method Summary
`void` `generate(java.io.Writer out)` convert representation to html and write it out

Method Detail

### generate

    public void generate(java.io.Writer out)
                  throws java.io.IOException

  convert representation to html and write it out

  Parameters:
    `out` - the output Writer
  Throws:
    `java.io.IOException` - an IO error occurred accessing out

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details